
extern int mx;
extern int my;
extern int click;
extern int LAST_BUTTON;   /* variable for button pressed */
extern int MOUSE;      /* 1 = mouse 0 = no mouse changed by mouse_init */
extern char WITH_MOUSE;  /* flag to tell how a command is passed */
extern int MOUSIMAGE;

extern unsigned int FLECHE[];
extern unsigned int MHELP[];
extern unsigned int TAGMOUSE[];
extern unsigned int MHAND[];
extern unsigned int MKEY[];


#define MOUSE_ARROW 0
#define MOUSE_WAIT 1
#define MOUSE_TAG 2
#define MOUSE_HELP 3
#define MOUSE_MOVE 4

#define MOUSE_UP 5
#define MOUSE_RIGHT 6
#define MOUSE_DOWN 7
#define MOUSE_LEFT 8

#define MOUSE_NW 9
#define MOUSE_NE 10
#define MOUSE_SE 11
#define MOUSE_SW 12

#define MOUSE_HAND 13
#define MOUSE_KEY  14

/*
   Initialize the mouse, return the number of buttons
   on mouse if one, otherwise return 0
   Initialise la souris, retourne le nombre de boutons
   ou zero.
*/

int init_mouse(void);

/*
  Wait for the mouse to be released.
  Relache le bouton de la souris
*/

void mrelease(int button);

/* relache les deux boutons */

void release(void);;

/*
   Teste la souris: place sa position en mx, my
   et retourne le numero du bouton presse
   Formule pour MCGA:
     mx = mx / 2;
     my = 199 - my;
*/

int mpos(int *mx, int *my);

/*
   Put mouse at mx,my
   Place la souris en mx et my
*/

void mput(int mx, int my);

/*
    Set sensitivity
    Definit la sensibilite
    Default 8 16
*/

void sensitivity(int horiz, int vert);

/*
   Set window limits
   Definit une fenetre
*/

int mwindow(int lft, int top, int rig, int bot);

/*
   Change image
*/

void newcursor(int type);

/*
   Change image from old to new
*/

void changemouse(int fold,int fnew);

/*
   Cache la souris
*/


void mhide(void);

/*
   Fait reapparaitre la souris
*/


void mshow(void);

int mclick(void);

int mousegetch();
